Subject: [v6ops] Developing v6ops agenda

From: Fred Baker <[email-masked]>
Date: Sat, 31 Oct 2020 23:01:19 -0700

Ron and I are developing the agenda for IETF 109. I'm forwarding you an edited version of the note I sent him and the authors of current work. An important file, attached, is what I call the "raw agenda data"; it all derives from the data tracker, but rearranged in a way that makes sense to me. One of the important points is drafts that have been "updated"; that's a time reference, and refers to the end of IETF 108. It also contains pointers to mailing list commentary, the draft, a diff against the next older version if any, and the relevant data tracker page.

As I see it, most of our drafts need an update, and I would encourage the authors to do so. The new HBH draft has next to no IETF commentary, so my inference is that it's not something the operators are interested in - at least not yet. draft-vf-v6ops-ipv6-deployment has a few comments from the list, which I would encourage the authors to review and update the draft in response to. In the "raw agenda data" file (attached), you'll find a link to all discussion of the drafts on any IETF list.

Ramesh Chandra will give a talk on Reliance JIO's deployment experience. (For those unfamiliar with Reliance, see https://stats.labs.apnic.net/ipv6/AS55836?c=IN&p=1&v=1&w=30&x=1; there are five Indian ISPs that rank highly in observed IPv6 traffic, and rather a number that are in the "me too" state.) I have asked him for "lessons the IETF should learn from operational experience" and "any suggestions on how to boost enterprise deployment?". Our proposed agenda is at https://www.ietf.org/proceedings/109/agenda/agenda-109-v6ops-00; comments solicited.

I also noticed https://www.nojitter.com/enterprise-networking/should-enterprises-avoid-or-embrace-ipv6, and started to think about dropping the guy a note. Then I decided not to; he repeats a lot of ages-old marketing hype that doesn't necessarily correspond to anything I think is real, and never thought made sense. We have over 1000 root servers worldwide, all of which respond to IPv6 addresses if the network supports the technology (sometimes an issue) - so what's the case for an India-specific IPv6-only root server? India only has 43 IPv6-capable servers (cf https://root-servers.org)...

But it did make me think about enterprise management, how many misconceptions they have, and how much money they're spending that IPv6 deployment would free up. I'm not sure what to do with that. I'd like to believe that we can be part of the solution to whatever we decide the actual problem is. Your opinions would be helpful - an "IPv6 marketing hype dispelled" draft, perhaps? Or "Native IPv6 in enterprise deployment"? An important part of that is to note that upstream ISPs frequently have IPv6 deployed, but enterprise customers are not using it, even though actually turning it on is not all that difficult or time-consuming, and Jen spoke at IETF 108 about turning IPv4 off. So - how do we encourage enterprise deployment and adoption? I should think part of that has to do with the public-facing services - mail and web. Part of that has been figuring out how to use IPv6 to talk with someone that desperately wants to cling to expensive IPv4 internally, but I want to promote native deployment. Maybe, and here I take a page out of Mythic Beast's book, charge more for IPv4 service?